summaryrefslogtreecommitdiffstats
path: root/network/aircrack-ptw
diff options
context:
space:
mode:
author adev <adev@linuxmail.org>2010-05-11 20:01:28 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:28 +0200
commite728769016e769f36d650858c932e047268dd315 (patch)
tree8585160a611d6b1bc64be8674252940c9441d6e0 /network/aircrack-ptw
parentb0146f798e3cb544aa715cb254486cf84da7844d (diff)
downloadslackbuilds-e728769016e769f36d650858c932e047268dd315.tar.gz
slackbuilds-e728769016e769f36d650858c932e047268dd315.tar.xz
network/aircrack-ptw: Added to 12.0 repository
Diffstat (limited to 'network/aircrack-ptw')
-rw-r--r--network/aircrack-ptw/Makefile.patch9
-rw-r--r--network/aircrack-ptw/README6
-rw-r--r--network/aircrack-ptw/aircrack-ptw.SlackBuild57
-rw-r--r--network/aircrack-ptw/aircrack-ptw.info8
-rw-r--r--network/aircrack-ptw/slack-desc19
5 files changed, 99 insertions, 0 deletions
diff --git a/network/aircrack-ptw/Makefile.patch b/network/aircrack-ptw/Makefile.patch
new file mode 100644
index 0000000000..890a3a58ac
--- /dev/null
+++ b/network/aircrack-ptw/Makefile.patch
@@ -0,0 +1,9 @@
+--- Makefile.orig 2008-03-14 17:14:23.000000000 -0400
++++ Makefile 2008-03-14 17:14:37.000000000 -0400
+@@ -1,5 +1,5 @@
+ aircrack-ptw: aircrack-ptw.c aircrack-ptw-lib.c aircrack-ptw-lib.h
+- gcc -o aircrack-ptw -Wall -fomit-frame-pointer -O3 -lpcap aircrack-ptw.c aircrack-ptw-lib.c
++ gcc -o aircrack-ptw -Wall -fomit-frame-pointer -O3 aircrack-ptw.c aircrack-ptw-lib.c -lpcap
+
+ attacksim: attacksim.c aircrack-ptw-lib.c aircrack-ptw-lib.h
+ gcc -o attacksim -Wall -fomit-frame-pointer -O3 -lpcap attacksim.c aircrack-ptw-lib.c
diff --git a/network/aircrack-ptw/README b/network/aircrack-ptw/README
new file mode 100644
index 0000000000..f2edb1dbd2
--- /dev/null
+++ b/network/aircrack-ptw/README
@@ -0,0 +1,6 @@
+aircrack-ptw is an advanced wep cracking tool.
+
+This software is provided for education only and intended for use
+only in networks that you own and/or control.
+
+aircrack-ptw requires the aircrack-ng suite (available on SlackBuilds.org).
diff --git a/network/aircrack-ptw/aircrack-ptw.SlackBuild b/network/aircrack-ptw/aircrack-ptw.SlackBuild
new file mode 100644
index 0000000000..a7ecb71a7d
--- /dev/null
+++ b/network/aircrack-ptw/aircrack-ptw.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/bash
+
+# Slackware build script for aircrack-ptw
+
+PRGNAM=aircrack-ptw
+VERSION=${VERSION:-1.0.0}
+ARCH=$(uname -m) # No way around it without patching Makefile lots
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix for linker error in Makefile
+patch -p0 < $CWD/Makefile.patch
+
+make aircrack-ptw
+make attacksim
+
+mkdir -p $PKG/usr/bin
+cp -a aircrack-ptw attacksim $PKG/usr/bin
+strip --strip-unneeded $PKG/usr/bin/* 2>/dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp README $CWD/$PRGNAM.SlackBuild $PKG/usr/doc/$PRGNAM-$VERSION
+chmod 0644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/aircrack-ptw/aircrack-ptw.info b/network/aircrack-ptw/aircrack-ptw.info
new file mode 100644
index 0000000000..04c982f262
--- /dev/null
+++ b/network/aircrack-ptw/aircrack-ptw.info
@@ -0,0 +1,8 @@
+PRGNAM="aircrack-ptw"
+VERSION="1.0.0"
+HOMEPAGE="http://www.cdc.informatik.tu-darmstadt.de/aircrack-ptw/"
+DOWNLOAD="http://www.cdc.informatik.tu-darmstadt.de/aircrack-ptw/download/aircrack-ptw-1.0.0.tar.gz"
+MD5SUM="1d7d84d1e69189bc1397db3f565c183a"
+MAINTAINER="adev"
+EMAIL="adev@linuxmail.org"
+APPROVED="rworkman"
diff --git a/network/aircrack-ptw/slack-desc b/network/aircrack-ptw/slack-desc
new file mode 100644
index 0000000000..05e56f5ce8
--- /dev/null
+++ b/network/aircrack-ptw/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------|
+aircrack-ptw: aircrack-ptw (WLAN auditing tool)
+aircrack-ptw:
+aircrack-ptw: This is aircrack-ptw, an advanced wep cracking tool.
+aircrack-ptw: This software is provided for education only. Only use it
+aircrack-ptw: against your own networks.
+aircrack-ptw:
+aircrack-ptw: aircrack-ptw has been written by Erik Tews, Andrei Pychkine and
+aircrack-ptw: Ralf-Philipp Weinmann.
+aircrack-ptw:
+aircrack-ptw: Homepage: http://www.cdc.informatik.tu-darmstadt.de/aircrack-ptw
+aircrack-ptw: